## org.jgroups.protocols.pbcast
Class MergeData

    java.lang.Object
      org.jgroups.protocols.pbcast.MergeData

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class MergeData

extends java.lang.Object
implements java.io.Externalizable

Encapsulates data sent with a MERGE_RSP (handleMergeResponse()) and INSTALL_MERGE_VIEW (handleMergeView()).

Author:
  Bela Ban Oct 22 2001
See Also:
  Serialized Form

Constructor Summary
`MergeData()` Empty constructor needed for externalization
`MergeData(Address sender, View view, Digest digest)`

Method Summary
`Digest` `getDigest()`
`Address` `getSender()`
`View` `getView()`
`void` `readExternal(java.io.ObjectInput in)`
`void` `setDigest(Digest d)`
`void` `setView(View v)`
`java.lang.String` `toString()`
`void` `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MergeData

    public MergeData()

  Empty constructor needed for externalization

### MergeData

    public MergeData(Address sender,
                     View view,
                     Digest digest)

Method Detail

### getSender

    public Address getSender()

### getView

    public View getView()

### getDigest

    public Digest getDigest()

### setView

    public void setView(View v)

### setDigest

    public void setDigest(Digest d)

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.